This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 711454 - (CVE-2011-2192) CVE-2011-2192 curl: Improper delegation of client credentials during GSS negotiation
CVE-2011-2192 curl: Improper delegation of client credentials during GSS nego...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20110623,reported=20110607,sou...
: Security
Depends On: 714892 714894 714895 714896 714897 715553
Blocks: 712351
  Show dependency treegraph
 
Reported: 2011-06-07 10:38 EDT by Jan Lieskovsky
Modified: 2015-11-24 09:39 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-05 18:00:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-06-07 10:38:56 EDT
It was found that cURL performed client credentials delegation during the
client-to-server GSS security mechanisms negotiation. A remote, rogue
server could use this flaw to impersonate the cURL client (victim) against
the correct (originally intended) server, potentially leading to denial
of cURL tool services for victim client.
Comment 2 Jan Lieskovsky 2011-06-07 10:43:09 EDT
This issue affects the versions of the curl package, as shipped with
Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the curl package, as shipped with
Fedora release of 13, 14, and 15.
Comment 15 Jan Lieskovsky 2011-06-23 06:23:11 EDT
Public now via:
[1] http://curl.haxx.se/docs/adv_20110623.html
Comment 16 Jan Lieskovsky 2011-06-23 06:26:56 EDT
Created curl tracking bugs for this issue

Affects: fedora-all [bug 715553]
Comment 17 errata-xmlrpc 2011-07-05 13:57:13 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:0918 https://rhn.redhat.com/errata/RHSA-2011-0918.html

Note You need to log in before you can comment on or make changes to this bug.